Sessions
Create a session
POST
/
session
Create a session
curl --request POST \
--url https://litellm-rust.onrender.com/session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"agent": "<string>",
"agent_id": "<string>",
"harness": "<string>",
"runtime": "cursor",
"prompt": "<string>",
"environment": {
"repository": "https://github.com/your-org/your-repo",
"ref": "main",
"auto_create_pr": false
},
"timezone": "America/Los_Angeles",
"tz": "America/Los_Angeles"
}
'import requests
url = "https://litellm-rust.onrender.com/session"
payload = {
"title": "<string>",
"agent": "<string>",
"agent_id": "<string>",
"harness": "<string>",
"runtime": "cursor",
"prompt": "<string>",
"environment": {
"repository": "https://github.com/your-org/your-repo",
"ref": "main",
"auto_create_pr": False
},
"timezone": "America/Los_Angeles",
"tz": "America/Los_Angeles"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
agent: '<string>',
agent_id: '<string>',
harness: '<string>',
runtime: 'cursor',
prompt: '<string>',
environment: {
repository: 'https://github.com/your-org/your-repo',
ref: 'main',
auto_create_pr: false
},
timezone: 'America/Los_Angeles',
tz: 'America/Los_Angeles'
})
};
fetch('https://litellm-rust.onrender.com/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"title": "<string>",
"agent": "<string>",
"agent_id": "<string>",
"harness": "<string>",
"runtime": "<string>",
"runtime_agent_ref_id": "<string>",
"provider_session_id": "<string>",
"provider_run_id": "<string>",
"status": "idle",
"environment": {},
"time": {
"created": 123,
"updated": 123
}
}Authorizations
Body
application/json
Response
Session created
⌘I
Create a session
curl --request POST \
--url https://litellm-rust.onrender.com/session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"agent": "<string>",
"agent_id": "<string>",
"harness": "<string>",
"runtime": "cursor",
"prompt": "<string>",
"environment": {
"repository": "https://github.com/your-org/your-repo",
"ref": "main",
"auto_create_pr": false
},
"timezone": "America/Los_Angeles",
"tz": "America/Los_Angeles"
}
'import requests
url = "https://litellm-rust.onrender.com/session"
payload = {
"title": "<string>",
"agent": "<string>",
"agent_id": "<string>",
"harness": "<string>",
"runtime": "cursor",
"prompt": "<string>",
"environment": {
"repository": "https://github.com/your-org/your-repo",
"ref": "main",
"auto_create_pr": False
},
"timezone": "America/Los_Angeles",
"tz": "America/Los_Angeles"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
agent: '<string>',
agent_id: '<string>',
harness: '<string>',
runtime: 'cursor',
prompt: '<string>',
environment: {
repository: 'https://github.com/your-org/your-repo',
ref: 'main',
auto_create_pr: false
},
timezone: 'America/Los_Angeles',
tz: 'America/Los_Angeles'
})
};
fetch('https://litellm-rust.onrender.com/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"title": "<string>",
"agent": "<string>",
"agent_id": "<string>",
"harness": "<string>",
"runtime": "<string>",
"runtime_agent_ref_id": "<string>",
"provider_session_id": "<string>",
"provider_run_id": "<string>",
"status": "idle",
"environment": {},
"time": {
"created": 123,
"updated": 123
}
}